function [tiempos] = compare(nvec)
% función para comparar tiempos necesarios
% para resolver Ax=b mediante eliminación gaussiana,
% cálculo de inversa y método de Cramer
nvec = floor(nvec(:));
if ~isnumeric(nvec) || any(nvec <= 0) || any(isinf(nvec))
    error('entrada erronea')
end
tiempos = zeros(length(nvec),3);
for i = 1:length(nvec)
    n = nvec(i);
    A=-diag(ones(n-1,1),1)+diag(2*ones(n,1))-diag(ones(n-1,1),-1);
    b = ones(n,1);
    % eliminación gaussiana
    tic
    x = A\b;
    tiempos(i,1) = toc;
    % cálculo inversa
    tic
    x = inv(A)*b;
    tiempos(i,2) = toc;
    % Cramer
    tic
    dA = det(A);
    for k = 1:length(b)
        newA = [A(:,1:k-1) b A(:,k+1:length(b))];
        x(k) = det(newA)/det(A);
    end
    tiempos(i,3) = toc;    
end
